BEGIN{
    i = 0
    venues[++i] = "Asplos";         title[i] = "ASPLOS'12"
    venues[++i] = "Ccs";            title[i] = "CCS'12"
    venues[++i] = "Oopsla";         title[i] = "OOPSLA'12" 
    venues[++i] = "Osdi";           title[i] = "OSDI'12"
    venues[++i] = "Pldi";           title[i] = "PLDI'12"
    venues[++i] = "Sigmod";         title[i] = "SIGMOD'12"
    venues[++i] = "Sosp";           title[i] = "SOSP'11"
    venues[++i] = "Taco";           title[i] = "TACO'9" 
    venues[++i] = "Tissec";         title[i] = "TISSEC'15"
    venues[++i] = "Tocs";           title[i] = "TOCS'30"
    venues[++i] = "Tods";           title[i] = "TODS'37"
    venues[++i] = "Toplas";         title[i] = "TOPLAS'34" 
    venues[++i] = "Vldb";           title[i] = "VLDB'12"
    venues[++i] = "NSF";            title[i] = "NSF"
    venues[++i] = "NoNSF";          title[i] = "No NSF"
    venues[++i] = "CommercialNone"; title[i] = "Academic"
    venues[++i] = "CommercialPart"; title[i] = "Joint"
    venues[++i] = "CommercialFull"; title[i] = "Industrial"
    venues[++i] = "Conferences";    title[i] = "Conferences"
    venues[++i] = "Journals";       title[i] = "Journals"
    venues[++i] = "Total";          title[i] = "Total"

   TEMPLATE = \
   "   TITLE & \n"    \
   "   \\VENUETotalDATA & \n" \
   "   \\VENUEWithImplementationDATA & \n" \
   "   \\VENUEEmailNeededNotSentDATA & \n" \
   "   \\VENUEEmailWithoutReplyDATA & \n" \
   "   \\VENUEEmailGotReplyYesDATA & \n" \
   "   \\VENUEEmailGotReplyNoDATA & \n" \
   "   \\VENUEBuildDoesNotCompileDATA & \n" \
   "   \\ADDDD% \n" \
   "      {\\VENUEBuildRunsDATA}% \n" \
   "      {\\VENUEBuildOnlineRunsDATA}% \n" \
   "      {\\VENUEBuildCompilesDoesNotRunDATA}% \n" \
   "      {\\VENUEBuildOnlineDoesNotRunDATA} & \n" \
   "   \\Reproducibility% \n" \
   "      {\\VENUEBuildRunsDATA}% \n" \
   "      {\\VENUEBuildOnlineRunsDATA}% \n" \
   "      {\\VENUEBuildCompilesDoesNotRunDATA}% \n" \
   "      {\\VENUEBuildOnlineDoesNotRunDATA}% \n" \
   "      {\\VENUEWithImplementationDATA}% \n" \
   "      {\\VENUEEmailNeededNotSentDATA}\\% \n" \
   "      \\\\"
}

END{
    for(j=1; j<=i; j++) {
        t = TEMPLATE
        gsub("VENUE",venues[j],t)
        gsub("TITLE",title[j],t)
        if ((venues[j] == "Vldb") || 
            (venues[j] == "NoNSF") || 
            (venues[j] == "CommercialFull") || 
            (venues[j] == "Journals"))
            m = "\\midrule"
        else
            m = ""
        print t m
    }
}
