#!/bin/bash

gawk 	'{
		i++
		if($0!~/#/) {
			if(NF>1 && $NF!=0){
				split($0, a, "\"")
				label[i] = a[2]
				#label[i] = $1
				v[i] = $NF
				D+= $NF
			}
			else if(NF==1){
				i--;
				split($0, a, ":")
				confname = a[2]
				#print "Conference name saved\n"
			}
			else{
				i--
			}
	    }
	}
	END {	
		d = v[1]
		print "set terminal pngcairo size 800,500 "
		printf "set output \"./pie_greyless/%s-pie-greyless.png\"\n", confname
		print "reset"
		printf "set title \"%s\"\n", confname
		print "b=0.20; s=7; B=0.5; txt=0.4"
		print "unset border; unset tics; unset key"
		print "set angles degree; set yrange [0:1]; set style fill solid 1.0 border -1"

		for(j=1;j<=i;j++) {
			v_orig[j] = v[j]
		}

		for(j=1;j<=i;j++) {
			v[j] = v[j]/D
			if(j>1){
				v[j] += v[j - 1]
			}
		}

		for(j=1;j<=i;j++) {
			v[j] = v[j]*360
		}
		print
	}' $1